﻿using System;

namespace ConsoleApp3
{
    class Program
    {
        static void Main(string[] args)
        {
            Message msg = new Message();
            Console.WriteLine(IMessage.Any);
        }
    }
}

public interface IMessage
{
    // 컴파일 오류 발생 - 추상 정적 메서드는 .NET 6부터 가능
    // error CS0112: A static member 'IMessage<T>.None' cannot be marked as override, virtual, or abstract
    // public static abstract int None { get; }

    // default interface method는 .NET Core 3부터 가능
    public static int Any { get; }
}

public class Message : IMessage
{
    public static int Any { get; } = 5;

    public Message()
    {
    }
}